2009-08-04	Colin Leroy <colin@colino.net>

	Release 0.7.3

2009-08-04	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-summary.c
		Fix directory creation problem. Patch by Yves-Alexis Perez

2009-07-28	Colin Leroy <colin@colino.net>

	Release 0.7.2

2009-07-23	Colin Leroy <colin@colino.net>

	* panel-plugin, icons/liquid: Remove weather.com logo, and instead 
	download it from their website the first time it's needed.

2009-07-21	Colin Leroy <colin@colino.net>

	* Release 0.7.1

2009-07-19	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-scrollbox.c
	* panel-plugin/weather-scrollbox.h
	* panel-plugin/weather.c: Fix bug 5586, implement label change on 
	mouse scroll. Patch by Leonid Evdokimov.

2009-07-19	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-http.c: Fix fd closing problem, where we could
	close stdout if _receive_data_idle() errors out early. Spotted and 
	patch by Johannes Stezenbach

2009-07-07	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: Finish fixing bug 5505, 'some strings are not 
	localized'
	* panel-plugin/weather-http.c: use the non-deprecated getaddrinfo() 
	instead of gethostbyname()

2009-07-07	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-translate.c: Fix bug 5505, 'some strings are not 
	localized'

2009-06-24	Colin Leroy <colin@colino.net>

	* Release 0.7.0

2009-06-19	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: Don't require 'http://' to be in the $HTTP_PROXY
	environment variable.

2009-06-18	Colin Leroy <colin@colino.net>

	* panel-plugin/*: Use ipinfodb.com to automatically set the location at
	the first startup of the plugin instance (when no location is set). This
	should provide a more or less relevant location (but it can't be worse 
	than no location at all :-)
	Also, make it visible that something is happening during this time; and
	fix the timeout on gethostbyname/connect

2009-06-17	Colin Leroy <colin@colino.net>

	* panel-plugin/*: Some fixes to the location handling: better search 
	dialog with buttons that enable/disable when appropriate, focus handling
	to allow for a quick search. Display the location name instead of code
	in the configuration panel (and make it non-editable once chosen), and
	store the display name along the location code (which could help us 
	migrate to/add another provider transparently if ever needed).

2009-06-16	Colin Leroy <colin@colino.net>

	Release 0.6.4

2009-06-16	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: Add a Forecast menu item for completeness.

2009-06-16	Colin Leroy <colin@colino.net>

	* icons/liquid/*: Fix bug #4641, "Unreadable icons". Fix the fog icon, 
	and also fix a few mismatches.

2009-06-16	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-summary.c: Fix bug #5471, "Destroying summary 
	window opens up help window". Thanks to Erik Xian.

2009-06-15	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: Use g_timeout_add_seconds when possible.

2009-06-15	Colin Leroy <colin@colino.net>

	* panel-plugin/*: Fix bug #4219, "animation when switching between 
	2+ values is too distracting": Add a preference for label animation.

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: Check the HTTP_PROXY environment variable
	both upper and lower case.

2009-06-13	Colin Leroy <colin@colino.net>

	* 0.6.3 released

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-icon.c: fix bug #5456, "Icon unaccessible when 
	XOAP error". If we couldn't load an icon, load the default one (99).

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-summary.c: fix bug #5127, "Bug: Wireless: UMTS |
	Improvement: Default: Forecast". The first part of it is probably fixed
	by the fix to bug #4118, this addresses the second part: Forecast tab
	by default. Also, rename "Summary" to "Details". 

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-translate.c: fix bug #4742, "Some strings are 
	not localized".

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather.c: fix bug #4642, "Change Location of 
	Text / Format". The location part was already fixed (bug #5442),
	this removes the "T:" or similar prefix when there's only one value
	to display.

2009-06-13	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-translate.c: fix bug #3818, "weekdays in 
	Russian are displayed ugly in forecast tab". First patch fixes a
	too short buffer (by Sergey Otinov), second patch checks whether
	the strftime-formatted buffer is UTF-8 (based on a patch from
	Yves-Alexis Perez).

2009-06-12	Colin Leroy <colin@colino.net>

	* panel-plugin/*: Add an about button in the summary window.

2009-06-11	Colin Leroy <colin@colino.net>

	* panel-plugin/*: Comply better with weather.com's XOAP license:
	https://registration.weather.com/common/eula/xmloap.html
	That'll avoid problems the day they cut service to wrongly formed
	URLs. The drawback is to have to put their links and logo...

2009-06-11	Colin Leroy <colin@colino.net>

	* panel-plugin/weather-http.c: Fix HTTP request (Host: and other
	parameters are only valid in HTTP/1.1)

2009-06-11	Colin Leroy <colin@colino.net>

	* Fix bug #5444, "Make use of the new GtkTooltip API": 
	Make the tooltip nicer when possible.

2009-06-11	Colin Leroy <colin@colino.net>

	* Fix bug #5442, "Unreadable information in weather-plugin": 
	On horizontal panel, put the label(s) at the right instead of the
	bottom.

2009-06-11	Colin Leroy <colin@colino.net>

	* Fix bug #4118, "weather-plugin does not adapt to new network 
	configuration": use res_init() whenever /etc/resolv.conf changes.

2007-11-18	Nick Schermer <nick@xfce.org>

	* Post release bump, 0.6.3svn

2007-11-18	Nick Schermer <nick@xfce.org>

	* Fix includes for bsd users.
	* Bump version to 0.6.2 for release.

2007-11-18	Nick Schermer <nick@xfce.org>
	
	* Post release bump, 0.6.2svn

2007-11-18	Nick Schermer <nick@xfce.org>
	
	* Bump version for release to 0.6.1

2007-11-18	Nick Schermer <nick@xfce.org>
	
	* Replace g_error with g_warning to avoid aborts.
	* Fix indents in ChangeLog.

2007-09-14	Nick Schermer <nick@xfce.org>
	
	* Code cleanups.
	* Fix problem with requests.

2007-09-12	Nick Schermer <nick@xfce.org>

	* Add fully threaded data update, prevent loops, timeout check,
	  better data handling, no cache file. Reschedule an update when
	  there is no connection (up to 5 times).
	* Merge new strings (warnings and errors only).

2007-09-10	Nick Schermer <nick@xfce.org>
	
	* Make the panel dialog icon 48x48 pixels (Bug #3513).

2007-05-26	Nick Schermer <nick@xfce.org>

	* Improve icon loading. When you remove all the labels the
	  icon will fill the entire panel. The icon size is also
	  pixel based, not linked to the GtkIconSize anymore (Bug #3232).
	* Hide the event box window in the summary dialog, this looks
	  better with most themes.

2007-05-26	Nick Schermer <nick@xfce.org>

	* Commit fix from bug #2934 to fix the location search.

2007-05-26 	Nick Schermer <nick@xfce.org>

	* Make the plugin working on FreeBSD. Patch by Stephen Hurd.

2007-03-14	Nick Schermer <nick@xfce.org>

	* Hide the ebox window, so you can see the panel background.
	* Don't crash when no icons were found.
	* Show a "No Data" label when nothing has been configured.

2007-01-19	Nick Schermer <nick@xfce.org>

	* Remove line in the translations. Was a typo.

2007-01-15	Nick Schermer <nick@xfce.org>

	* Improve the Makefile.am and configure.in.in files.
	* You can now use enter and double-click in the search dialog.

2006-12-20	Nick Schermer <nick@xfce.org>

	* Add help button that uses exo-open.
	* Merge new string

2006-12-17	Nick Schermer <nick@xfce.org>

	* Cleaned up the code
	* Applied patch from Peggy Kutyla (Bug 2656)

2006-09-06 	Nick Schermer <nick@xfce.org>

	* Addded $Id$'s using svn:keyword
	* Trailing spaces are striped by Geany

2006-09-05	Nick Schermer <nick@xfce.org>

	* Fix typo in desktop file

2006-09-05	Nick Schermer <nick@xfce.org>

	* Improve Makefile.am files. Make distcheck works
	  without any problems now.

2006-09-05	Nick Schermer <nick@xfce.org>

	* Bump version to 0.5.99.1
	* Depend on Xfce4-panel 4.3.99.1

2006-09-02	Nick Schermer <nick@xfce.org>

	* Include libxfcegui4_libs and some other fixes in the build files

2006-09-02	Nick Schermer <nick@xfce.org>

	* Remove executables
	* Update ChangeLog

2006-08-08	Nick Schermer <nick@xfce.org>

	* Fix some memory leaks
	* Clear dialog data and free the liststore
	* Finalize scrollbox widget
	* Use panel_slice_new0 and panel_slice_free

2006-08-08	Nick Schermer <nick@xfce.org>

	* Changed version: 0.5.90.2
	* Released 0.5.90.2

2006-07-14	Nick Schermer <nick@xfce.org>

	* Fixed problems with --as-needed
	* Some small mem leaks
	* Added LINGUAS support for translators
	* Raised version to 0.6.0, because i think it's ready for 4.4
	* You need libxfcegui4 from svn (or b2)
	* Added debug code
	* Some cleanups

2006-06-11	Nick Schermer <nick@xfce.org>

	* Reorder the includes a bit
	* Changed titled dialog
	* Added icon for the panel add items dialog

2006-05-27	Nick Schermer <nick@xfce.org>

	* *.po: Updated.
	* *.gmo: Removed.

2006-05-22	Nick Schermer <nick@xfce.org>

	* Make array const
	* Added G_{BEGIN,END}_DECLS
	* Improve Layout
	* Use guint where possible

2006-05-19	Nick Schermer <nick@xfce.org>

	* A lot if changed in the code to reduce exec. size
	* Fix build
	* Added new xfce dialog (if available)

2006-05-18	Nick Schermer <nick@xfce.org>

	* Add refresh button to right click menu for the n00bs
	* Cleanup code layout
	* Free some extra pixbufs
	* Replaced (most) of the debug messages
	* Remove the build and intltool files, they don't belong
	  in a repo IMHO

2006-05-18	Nick Schermer <nick@xfce.org>

	* Fix build errors
	* Free a pixbuf with g_object_unref, not with g_free
	* Typo in metric/imperial save

2006-05-04	Benedikt Meurer <benny@xfce.org>

	* Apply patch from Oliver Lehmann to fix GCC 2.95 compilation.
	  Bug #1759

2006-04-25	Masse Nicolas <masse_nicolas@yahoo.fr>

	* update with version from Jasper - now compatible with Xfce-4.4

2003-07-11	Jasper Huijsmans <jasper@xfce.org>

	* panel-plugin/sample.c: Hmm, chinese translation updates that
	  didn't get picked up by my previous commit. Should have been in
	  rc1, sorry.

2003-07-11	Jasper Huijsmans <jasper@xfce.org>

	* ChangeLog: Update ChangeLog's for release

2003-07-10	Jasper Huijsmans <jasper@xfce.org>

	* ChangeLog: Update ChangeLog's for release

2003-07-06	Jasper Huijsmans <jasper@xfce.org>

	* ChangeLog: Update ChangeLogs

2003-07-06	Jasper Huijsmans <jasper@xfce.org>

	* Makefile.in, aclocal.m4, config.h.in, configure, ltconfig,
	  ltmain.sh, panel-plugin/Makefile.in: libtool update

2003-07-02	Benedikt Meurer <benny@xfce.org>

	* AUTHORS, COPYING, INSTALL, autogen.sh, config.guess, config.sub,
	  ltconfig, ltcf-c.sh, ltmain.sh, Makefile.in, aclocal.m4, compile,
	  config.h.in, depcomp, install-sh, missing, mkinstalldirs,
	  Makefile.am, README, configure, configure.ac, m4/debug.m4,
	  m4/depends.m4, m4/i18n.m4, panel-plugin/Makefile.am,
	  panel-plugin/Makefile.in, panel-plugin/sample.c: Initial import of
	  the sample panel plugin.

2003-07-02	Benedikt Meurer <benny@xfce.org>

	* AUTHORS, COPYING, INSTALL, autogen.sh, config.guess, config.sub,
	  ltconfig, ltcf-c.sh, ltmain.sh, Makefile.in, aclocal.m4, compile,
	  config.h.in, depcomp, install-sh, missing, mkinstalldirs,
	  Makefile.am, README, configure, configure.ac, m4/debug.m4,
	  m4/depends.m4, m4/i18n.m4, panel-plugin/Makefile.am,
	  panel-plugin/Makefile.in, panel-plugin/sample.c: Initial revision
